module m_shotgrid

   use m_grid_base
   implicit none

   !type t_shotgrid !! Uncomment this line and comment the next one to make doxygen works... but does not take to into account inheritance
   type,extends(t_grid_base) :: t_shotgrid  !!! <<< This line provide the crash

      integer :: i_id
      logical :: dirichlet     
      
   end type t_shotgrid

end module m_shotgrid
